org.springframework.aop.support

## Class RootClassFilter

- java.lang.Object
- - org.springframework.aop.support.RootClassFilter

- All Implemented Interfaces:
    Serializable, ClassFilter

      public class RootClassFilter
      extends Object
      implements ClassFilter, Serializable

  Simple ClassFilter implementation that passes classes (and optionally subclasses)
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.aop.ClassFilter

      `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootClassFilter(Class clazz)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Class candidate)` Should the pointcut apply to the given interface or target class?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootClassFilter

          public RootClassFilter(Class clazz)

  - ### Method Detail

    - #### matches

          public boolean matches(Class candidate)

      Description copied from interface: `ClassFilter`
      Should the pointcut apply to the given interface or target class?
      Specified by:
        `matches` in interface `ClassFilter`
      Parameters:
        `candidate` - the candidate target class
      Returns:
        whether the advice should apply to the given target class